#ifndef _INCLUDE_PRAGMA_PATCH_LIB_H
#define _INCLUDE_PRAGMA_PATCH_LIB_H

#if defined(AZTEC_C) || defined(__MAXON__) || defined(__STORM__)
#pragma amicall(PatchBase,0x01E,InstallPatch(a0))
#pragma amicall(PatchBase,0x024,WaitRemovePatch(a0))
#pragma amicall(PatchBase,0x02A,RemovePatch(a0))
#pragma amicall(PatchBase,0x030,FindPatch(a0))
#pragma amicall(PatchBase,0x036,InstallPatchTagsA(a0,d0,a1))
#pragma amicall(PatchBase,0x03C,RemovePatchTagsA(a0,a1))
#pragma amicall(PatchBase,0x042,FindPatchTagsA(a0))
#pragma amicall(PatchBase,0x048,SetPatchA(a0,a1))
#pragma amicall(PatchBase,0x04E,GetPatchA(a0,a1))
#pragma amicall(PatchBase,0x054,PatchFreeVec(a1))
#pragma amicall(PatchBase,0x05A,RemovePatchProjectA(a0,a1))
#pragma amicall(PatchBase,0x060,CreatePatchProjectA(a0,a1))
#pragma amicall(PatchBase,0x066,SetPatchProjectA(a0,a1))
#pragma amicall(PatchBase,0x06C,PatchReserved1())
#pragma amicall(PatchBase,0x072,AddPatchNotifyA(a0,a1))
#pragma amicall(PatchBase,0x078,RemPatchNotifyA(a0,a1))
#pragma amicall(PatchBase,0x07E,PatchAlloc(d0))
#endif
#if defined(_DCC) || defined(__SASC)
#pragma libcall PatchBase InstallPatch         01E 801
#pragma libcall PatchBase WaitRemovePatch      024 801
#pragma libcall PatchBase RemovePatch          02A 801
#pragma libcall PatchBase FindPatch            030 801
#pragma libcall PatchBase InstallPatchTagsA    036 90803
#pragma libcall PatchBase RemovePatchTagsA     03C 9802
#pragma libcall PatchBase FindPatchTagsA       042 801
#pragma libcall PatchBase SetPatchA            048 9802
#pragma libcall PatchBase GetPatchA            04E 9802
#pragma libcall PatchBase PatchFreeVec         054 901
#pragma libcall PatchBase RemovePatchProjectA  05A 9802
#pragma libcall PatchBase CreatePatchProjectA  060 9802
#pragma libcall PatchBase SetPatchProjectA     066 9802
#pragma libcall PatchBase PatchReserved1       06C 00
#pragma libcall PatchBase AddPatchNotifyA      072 9802
#pragma libcall PatchBase RemPatchNotifyA      078 9802
#pragma libcall PatchBase PatchAlloc           07E 001
#endif
#ifdef __STORM__
#pragma tagcall(PatchBase,0x036,InstallPatchTags(a0,d0,a1))
#pragma tagcall(PatchBase,0x03C,RemovePatchTags(a0,a1))
#pragma tagcall(PatchBase,0x042,FindPatchTags(a0))
#pragma tagcall(PatchBase,0x048,SetPatch(a0,a1))
#pragma tagcall(PatchBase,0x04E,GetPatch(a0,a1))
#pragma tagcall(PatchBase,0x05A,RemovePatchProject(a0,a1))
#pragma tagcall(PatchBase,0x060,CreatePatchProject(a0,a1))
#pragma tagcall(PatchBase,0x066,SetPatchProject(a0,a1))
#pragma tagcall(PatchBase,0x072,AddPatchNotify(a0,a1))
#pragma tagcall(PatchBase,0x078,RemPatchNotify(a0,a1))
#endif
#ifdef __SASC_60
#pragma tagcall PatchBase InstallPatchTags     036 90803
#pragma tagcall PatchBase RemovePatchTags      03C 9802
#pragma tagcall PatchBase FindPatchTags        042 801
#pragma tagcall PatchBase SetPatch             048 9802
#pragma tagcall PatchBase GetPatch             04E 9802
#pragma tagcall PatchBase RemovePatchProject   05A 9802
#pragma tagcall PatchBase CreatePatchProject   060 9802
#pragma tagcall PatchBase SetPatchProject      066 9802
#pragma tagcall PatchBase AddPatchNotify       072 9802
#pragma tagcall PatchBase RemPatchNotify       078 9802
#endif

#endif	/*  _INCLUDE_PRAGMA_PATCH_LIB_H  */